Subject: centralize SWIOTLB config symbol and misc other cleanups V3

From: [email-masked] (Christoph Hellwig)
Date: Wed, 9 May 2018 07:03:06 +0200

On Wed, May 02, 2018 at 05:46:17AM -0700, Christoph Hellwig wrote:
> Any more comments?  Especially from the x86, mips and powerpc arch
> maintainers?  I'd like to merge this in a few days as various other
> patches depend on it.

I've pulled it in to make forward progress.  Any additional comments
will have to be sent in the form of incremental patches.